Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589631 - printf format "%.*s" in gawk not working
Summary: printf format "%.*s" in gawk not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gawk
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Zeleny
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 15:13 UTC by Dale James Thompson
Modified: 2010-07-02 19:06 UTC (History)
3 users (show)

Fixed In Version: gawk-3.1.7-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 19:06:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dale James Thompson 2010-05-06 15:13:25 UTC
Description of problem:
The bug in gawk as reported by 513234 still exists in the Redhat Ent6 gawk package. The patch to fix is checked in the fedora src rpm for gawk-3.1.7-3 and is gawk-3.1.7-prec-utf8.patch.

Here a repeat of the original bug report.

The "%.*s" format string in printf no longer works.

Version-Release number of selected component (if applicable):
gawk-3.1.6-5.fc11.i586

How reproducible:
Run example from bash command line.
The example should remove the last character from the string.

Steps to Reproduce:
# echo ab123dl|gawk '{printf("%.*s\n",length($0)-1,$0)}'

Actual results:
ab123dl

Expected results:
ab123d

Additional info:
works OK with gawk-3.1.5-14.el5 and previously on fc10

Comment 2 RHEL Product and Program Management 2010-05-06 17:25:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jan Zeleny 2010-05-17 10:56:22 UTC
Patch is in CVS, build is ready. Switching to MODIFIED.

Comment 6 releng-rhel@redhat.com 2010-07-02 19:06:11 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.